Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.feed.rss
Class ServiceElement

    java.lang.Object
      org.wso2.wsas.feed.rss.ServiceElement

    public class ServiceElement

extends java.lang.Object

Field Summary
`static int` | `SERVICE_ADD`
`static int` | `SERVICE_REMOVE`
`static int` | `SERVICE_START`
`static int` | `SERVICE_STOP`
`static int` | `SERVICE_UPDATE`

Constructor Summary
`ServiceElement()`

Method Summary
`java.lang.String` | `getDescription()`
`java.util.List` | `getModules()`
`java.lang.String` | `getName()`
`org.apache.axiom.om.OMElement` | `getOMElement(org.apache.axiom.om.OMFactory fac)`
`java.util.List` | `getOperations()`
`java.lang.String` | `getUrl()`
`boolean` | `isUpdate()`
`void` | `setDescription(java.lang.String description)`
`void` | `setEventType(int eventType)`
`void` | `setModules(java.util.List modules)`
`void` | `setName(java.lang.String name)`
`void` | `setOperations(java.util.List operations)`
`void` | `setRssType(boolean rssType)`
`void` | `setUpdate(boolean update)`
`void` | `setUrl(java.lang.String url)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SERVICE_ADD

    public static final int SERVICE_ADD

See Also:
  Constant Field Values

### SERVICE_REMOVE

    public static final int SERVICE_REMOVE

See Also:
  Constant Field Values

### SERVICE_UPDATE

    public static final int SERVICE_UPDATE

See Also:
  Constant Field Values

### SERVICE_STOP

    public static final int SERVICE_STOP

See Also:
  Constant Field Values

### SERVICE_START

    public static final int SERVICE_START

See Also:
  Constant Field Values

Constructor Detail

### ServiceElement

    public ServiceElement()

Method Detail

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String description)

### getOperations

    public java.util.List getOperations()

### setOperations

    public void setOperations(java.util.List operations)

### getUrl

    public java.lang.String getUrl()

### setUrl

    public void setUrl(java.lang.String url)

### getModules

    public java.util.List getModules()

### setModules

    public void setModules(java.util.List modules)

### getOMElement

    public org.apache.axiom.om.OMElement getOMElement(org.apache.axiom.om.OMFactory fac)

### setEventType

    public void setEventType(int eventType)

### isUpdate

    public boolean isUpdate()

### setUpdate

    public void setUpdate(boolean update)

### setRssType

    public void setRssType(boolean rssType)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD